# logsheet-tex

Printable logsheet for amateur radio operators in tex

## Description

With this latex file you can create a print template for an amateur radio
logsheet. By default you fold a DIN A4 paper in half and get four A5 papers in
portrait mode for the logsheet (with duplex printing). These A5 sides are all
enumerated with the number as watermark.

See [sample pdf](../../../raw/branch/main/sample/logsheet.DL1XXXX.pdf)

Your callsign can be a watermark across the background. Font size is calculated
automatically. If the sheet is for trainee logging, there will be "Location+OP"
in the heading.

## Setup

### Prepare build system

* Download Makefile for typesetting LaTeX documents from
[https://github.com/tueda/makefile4latex/](https://github.com/tueda/makefile4latex/raw/refs/heads/master/Makefile)

Of course you can use your own method of using LaTeX.

### Config callsign/etc.
* Copy latex.mk.example to latex.mk and adapt it for generating different pdfs
* Config callsign via filename:
  * logsheet.DL1XXXX.tex will use callsign DL1XXXX
  * logsheet.DN1XXXX.trainee.tex will use callsign DN1XXXX and set Location+OP
    in heading (for trainee callsign)
  * logsheet.DL1XXXX.tex will use callsign DL1XXXX/t and set Location+OP in
   heading (for new (2024) german trainee callsign)
* Configuration in the first section of logsheet.tex possible:
  * paper format
  * number of blocks on each page
  * number of pages
  * page layout

## Build
With the build system: **make pdf**

Otherwise: build the .tex files as you like
